Skip to main content

Endpoints

MethodPathDescription
POST/api/v2/webhooksCreate a webhook
POST/api/v2/webhooks/deleteDelete a webhook

Create a webhook

POST /api/v2/webhooks
url
string
required
The endpoint that will receive webhook events.
type
string
required
Event type to subscribe to. Currently supported: FLOW_COMPLETED.
Example
{
  "url": "https://your-server.com/webhook",
  "type": "FLOW_COMPLETED"
}
curl -X POST https://api.flowla.com/api/v2/webhooks \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://your-server.com/webhook",
    "type": "FLOW_COMPLETED"
  }'

Delete a webhook

POST /api/v2/webhooks/delete
id
string
required
ID of the webhook to remove.
Example
{ "id": "<webhook_id>" }
curl -X POST https://api.flowla.com/api/v2/webhooks/delete \
  -H "x-flowla-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id": "<webhook_id>"}'